Name:           perl-GraphViz
Version:        2.03
Release:        1%{?dist}
Summary:        Interface to the GraphViz graphing tool
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/GraphViz/
Source0:        http://www.cpan.org/authors/id/L/LB/LBROCARD/GraphViz-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IPC::Run) >= 0.6
BuildRequires:  graphviz-devel

# optional test
BuildRequires:  perl(Test::Pod)

#Requires:       perl(IPC::Run) >= 0.6
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an interface to layout and image generation of
directed and undirected graphs in a variety of formats (PostScript, PNG,
etc.) using the "dot", "neato", "twopi", "circo" and "fdp" programs from
the GraphViz project (http://www.graphviz.org/ or
http://www.research.att.com/sw/tools/graphviz/).

%prep
%setup -q -n GraphViz-%{version}

find . -type f -exec chmod -c -x {} \;

perl -pi -e 's|/usr/local/bin/perl|/usr/bin/perl|' examples/primes_aux.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 2.03-1
- update to 2.03

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.02-3
- rebuild for new perl

* Thu Apr 19 2007 Chris Weyl <cweyl@alumni.drew.edu> 2.02-2
- bump

* Mon Apr 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 2.02-1
- Specfile autogenerated by cpanspec 1.70.
